<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.ppl.d4.temancatat">


    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name="com.ppl.d4.temancatat.Application"
        android:allowBackup="true"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@drawable/ic_logo"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity android:name="com.ppl.d4.temancatat.ui.activities.SplashActivity"
            android:theme="@style/AppTheme.SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.activities.TransactionListActivity"
            android:label="@string/transaction_list_toolbar_text">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.activities.AddTransactionActivity"
            android:label="@string/tambah_transaksi_string"
            android:parentActivityName=".ui.activities.TransactionListActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.activities.SearchProductActivity"
            android:label="@string/choose_product_string"
            android:parentActivityName=".ui.activities.AddTransactionActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.activities.AddProductActivity"
            android:label="@string/tambah_barang_string"
            android:parentActivityName=".ui.activities.SearchProductActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.activities.EditProductActivity"
            android:label="@string/tambah_transaksi_string"
            android:parentActivityName=".ui.activities.TransactionListActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>
</manifest>